%define anolis_release 1

%global _python_bytecompile_extra 0

Summary:       Analysis plugins for use with setroubleshoot
Name:          setroubleshoot-plugins
Version:       3.3.14
Release:       %{anolis_release}%{?dist}
License:       GPL-2.0-or-later
URL:           https://github.com/fedora-selinux/setroubleshoot
Source0:       https://releases.pagure.org/setroubleshoot/%{name}-%{version}.tar.gz

Patch0001:     0001-restorecon.py-exclude-more-paths.patch
BuildArch:     noarch

BuildRequires: gcc make intltool gettext python3-devel perl-XML-Parser
BuildRequires: perl-XML-Parser

Requires:      setroubleshoot-server >= 3.3.23

%description
This package provides a set of analysis plugins for use with
setroubleshoot. Each plugin has the capacity to analyze SELinux AVC
data and system data to provide user friendly reports describing how
to interpret SELinux AVC denials.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p 1

%build
%configure PYTHON=%{__python3}
make PYTHON=%{__python3}

%install 
rm -rf %{buildroot}
%make_install PYTHON=%{__python3} pkgdocdir=%{_pkgdocdir}
%find_lang %{name}
%py_byte_compile %{__python3} %{buildroot}%{_datadir}/setroubleshoot/plugins

%files -f %{name}.lang 
%doc %{_pkgdocdir}
%{_datadir}/setroubleshoot/plugins

%files doc
%doc README AUTHORS NEWS TODO INSTALL ChangeLog

%changelog
* Mon Apr 10 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.14-1
- init from upstream
